Bug 153033 - un-escaped shell metacharacters in bsd.port.subdir.mk
Summary: un-escaped shell metacharacters in bsd.port.subdir.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-11 23:50 UTC by Steve Price
Modified: 2010-12-20 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (698 bytes, patch)
2010-12-11 23:50 UTC, Steve Price
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Price freebsd_committer 2010-12-11 23:50:09 UTC
There's an issue in bsd.port.subdir.mk where un-escaped shell
metacharacters are causing the build of the automake14 port to
fail.

How-To-Repeat: Create the following Makefile and 'make all'.

---8<---
#USE_JAVA=yes

all clean:
        cd /usr/ports/devel/automake14 && make $@

foobar:
        @echo "_JAVA_VERSION_LIST_REGEXP=${_JAVA_VERSION_LIST_REGEXP}"
        @echo "_JAVA_VENDOR_LIST_REGEXP=${_JAVA_VENDOR_LIST_REGEXP}"
        @echo "_JAVA_OS_LIST_REGEXP=${_JAVA_OS_LIST_REGEXP}"

.if defined(USE_JAVA)
.include <bsd.port.mk>
.else
.include <bsd.port.subdir.mk>
.endif
----8<---
Comment 1 Edwin Groothuis freebsd_committer 2010-12-11 23:50:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.subdir.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Erwin Lansing freebsd_committer 2010-12-17 11:40:49 UTC
Responsible Changed
From-To: portmgr->erwin

Take for -exp run.
Comment 3 dfilter service freebsd_committer 2010-12-20 12:23:58 UTC
erwin       2010-12-20 12:23:53 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.subdir.mk 
  Log:
  Properly escape shell metacharacters in some JAVA_* macros.
  
  PR:             153033
  Submitted by:   steve
  
  Revision  Changes    Path
  1.77      +4 -4      ports/Mk/bsd.port.subdir.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Erwin Lansing freebsd_committer 2010-12-20 12:24:02 UTC
State Changed
From-To: open->closed

Committed, thanks!